/// @cond EO_CXX_EO_IMPL

inline void elm::progressbar::part_value_set(::efl::eina::string_view part_, double val_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_progressbar_part_value_set(::efl::eolian::to_c(part_), val_));
}

inline double elm::progressbar::part_value_get(::efl::eina::string_view part_) const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_progressbar_part_value_get(::efl::eolian::to_c(part_)));
   return _tmp_ret;
}

inline void elm::progressbar::pulse(bool state_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_progressbar_pulse(::efl::eolian::to_c(state_)));
}

inline Evas_Coord elm::progressbar::span_size_get() const
{
   Evas_Coord _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_progressbar_span_size_get());
   return _tmp_ret;
}

inline void elm::progressbar::span_size_set(Evas_Coord size_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_progressbar_span_size_set(size_));
}

inline bool elm::progressbar::pulse_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_progressbar_pulse_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::progressbar::pulse_set(bool pulse_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_progressbar_pulse_set(::efl::eolian::to_c(pulse_)));
}

inline double elm::progressbar::value_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_progressbar_value_get());
   return _tmp_ret;
}

inline void elm::progressbar::value_set(double val_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_progressbar_value_set(val_));
}

inline bool elm::progressbar::inverted_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_progressbar_inverted_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::progressbar::inverted_set(bool inverted_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_progressbar_inverted_set(::efl::eolian::to_c(inverted_)));
}

inline bool elm::progressbar::horizontal_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_progressbar_horizontal_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::progressbar::horizontal_set(bool horizontal_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_progressbar_horizontal_set(::efl::eolian::to_c(horizontal_)));
}

inline ::efl::eina::optional< ::efl::eina::string_view > elm::progressbar::unit_format_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_progressbar_unit_format_get());
   return ::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::progressbar::unit_format_set(::efl::eina::optional< ::efl::eina::string_view > units_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_progressbar_unit_format_set(::efl::eolian::to_c(units_)));
}

inline void elm::progressbar::unit_format_function_set(progressbar_func_type func_, progressbar_freefunc_type free_func_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_progressbar_unit_format_function_set(func_, free_func_));
}

inline void eo_cxx::elm::progressbar::part_value_set(::efl::eina::string_view part_, double val_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_progressbar_part_value_set(::efl::eolian::to_c(part_), val_));
}

inline double eo_cxx::elm::progressbar::part_value_get(::efl::eina::string_view part_) const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_progressbar_part_value_get(::efl::eolian::to_c(part_)));
   return _tmp_ret;
}

inline void eo_cxx::elm::progressbar::pulse(bool state_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_progressbar_pulse(::efl::eolian::to_c(state_)));
}

inline Evas_Coord eo_cxx::elm::progressbar::span_size_get() const
{
   Evas_Coord _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_progressbar_span_size_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::progressbar::span_size_set(Evas_Coord size_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_progressbar_span_size_set(size_));
}

inline bool eo_cxx::elm::progressbar::pulse_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_progressbar_pulse_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::progressbar::pulse_set(bool pulse_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_progressbar_pulse_set(::efl::eolian::to_c(pulse_)));
}

inline double eo_cxx::elm::progressbar::value_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_progressbar_value_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::progressbar::value_set(double val_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_progressbar_value_set(val_));
}

inline bool eo_cxx::elm::progressbar::inverted_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_progressbar_inverted_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::progressbar::inverted_set(bool inverted_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_progressbar_inverted_set(::efl::eolian::to_c(inverted_)));
}

inline bool eo_cxx::elm::progressbar::horizontal_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_progressbar_horizontal_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::progressbar::horizontal_set(bool horizontal_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_progressbar_horizontal_set(::efl::eolian::to_c(horizontal_)));
}

inline ::efl::eina::optional< ::efl::eina::string_view > eo_cxx::elm::progressbar::unit_format_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_progressbar_unit_format_get());
   return ::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::progressbar::unit_format_set(::efl::eina::optional< ::efl::eina::string_view > units_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_progressbar_unit_format_set(::efl::eolian::to_c(units_)));
}

inline void eo_cxx::elm::progressbar::unit_format_function_set(progressbar_func_type func_, progressbar_freefunc_type free_func_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_progressbar_unit_format_function_set(func_, free_func_));
}

inline ::eo_cxx::elm::progressbar::operator ::elm::progressbar() const
{
   return *static_cast<::elm::progressbar const*>(static_cast<void const*>(this));
}

inline ::eo_cxx::elm::progressbar::operator ::elm::progressbar&()
{
   return *static_cast<::elm::progressbar*>(static_cast<void*>(this));
}

inline ::eo_cxx::elm::progressbar::operator ::elm::progressbar const&() const
{
   return *static_cast<::elm::progressbar const*>(static_cast<void const*>(this));
}

template <typename T>
void elm_progressbar_part_value_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_, double val_)
{
   try
      {
         static_cast<T*>(self->this_)->part_value_set(::efl::eolian::to_cxx<::efl::eina::string_view>(part_, std::tuple<std::false_type>()), val_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
double elm_progressbar_part_value_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_)
{
   try
      {
         return static_cast<T*>(self->this_)->part_value_get(::efl::eolian::to_cxx<::efl::eina::string_view>(part_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         double _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_progressbar_pulse_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool state_)
{
   try
      {
         static_cast<T*>(self->this_)->pulse(::efl::eolian::to_cxx<bool>(state_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
Evas_Coord elm_progressbar_span_size_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->span_size_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Evas_Coord _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_progressbar_span_size_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Evas_Coord size_)
{
   try
      {
         static_cast<T*>(self->this_)->span_size_set(size_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
bool elm_progressbar_pulse_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->pulse_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_progressbar_pulse_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool pulse_)
{
   try
      {
         static_cast<T*>(self->this_)->pulse_set(::efl::eolian::to_cxx<bool>(pulse_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
double elm_progressbar_value_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->value_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         double _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_progressbar_value_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, double val_)
{
   try
      {
         static_cast<T*>(self->this_)->value_set(val_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
bool elm_progressbar_inverted_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->inverted_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_progressbar_inverted_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool inverted_)
{
   try
      {
         static_cast<T*>(self->this_)->inverted_set(::efl::eolian::to_cxx<bool>(inverted_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
bool elm_progressbar_horizontal_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->horizontal_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_progressbar_horizontal_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool horizontal_)
{
   try
      {
         static_cast<T*>(self->this_)->horizontal_set(::efl::eolian::to_cxx<bool>(horizontal_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
::efl::eina::optional< ::efl::eina::string_view > elm_progressbar_unit_format_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->unit_format_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         const char * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_progressbar_unit_format_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * units_)
{
   try
      {
         static_cast<T*>(self->this_)->unit_format_set(::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(units_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void elm_progressbar_unit_format_function_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, progressbar_func_type func_, progressbar_freefunc_type free_func_)
{
   try
      {
         static_cast<T*>(self->this_)->unit_format_function_set(func_, free_func_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

namespace efl { namespace eo { namespace detail {

template<>
struct operations< ::elm::progressbar >
{
   template <typename T>
   struct type
         : virtual operations< ::elm::layout >::template type<T>
   {
      virtual void part_value_set(::efl::eina::string_view part_, double val_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_progressbar_part_value_set(::efl::eolian::to_c(part_), val_));
      }

      virtual double part_value_get(::efl::eina::string_view part_)
      {
         double _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_progressbar_part_value_get(::efl::eolian::to_c(part_)));
            return _tmp_ret;
      }

      virtual void pulse(bool state_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_progressbar_pulse(::efl::eolian::to_c(state_)));
      }

      virtual Evas_Coord span_size_get()
      {
         Evas_Coord _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_progressbar_span_size_get());
            return _tmp_ret;
      }

      virtual void span_size_set(Evas_Coord size_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_progressbar_span_size_set(size_));
      }

      virtual bool pulse_get()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_progressbar_pulse_get());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void pulse_set(bool pulse_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_progressbar_pulse_set(::efl::eolian::to_c(pulse_)));
      }

      virtual double value_get()
      {
         double _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_progressbar_value_get());
            return _tmp_ret;
      }

      virtual void value_set(double val_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_progressbar_value_set(val_));
      }

      virtual bool inverted_get()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_progressbar_inverted_get());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void inverted_set(bool inverted_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_progressbar_inverted_set(::efl::eolian::to_c(inverted_)));
      }

      virtual bool horizontal_get()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_progressbar_horizontal_get());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void horizontal_set(bool horizontal_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_progressbar_horizontal_set(::efl::eolian::to_c(horizontal_)));
      }

      virtual ::efl::eina::optional< ::efl::eina::string_view > unit_format_get()
      {
         const char * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_progressbar_unit_format_get());
            return ::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void unit_format_set(::efl::eina::optional< ::efl::eina::string_view > units_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_progressbar_unit_format_set(::efl::eolian::to_c(units_)));
      }

      virtual void unit_format_function_set(progressbar_func_type func_, progressbar_freefunc_type free_func_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_progressbar_unit_format_function_set(func_, free_func_));
      }

   };
};


template<>
struct operation_description_class_size< ::elm::progressbar >
{
   static constexpr int value = 
#if defined(PROGRESSBAR_PROTECTED) && defined(PROGRESSBAR_BETA)
      16
#elif defined(PROGRESSBAR_PROTECTED)
      16
#elif defined(PROGRESSBAR_BETA)
      16
#else
      16
#endif
      + operation_description_class_size<::elm::layout >::value;
};

template <typename T>
int initialize_operation_description(::efl::eo::detail::tag<::elm::progressbar>
                                 , Eo_Op_Description* ops)
{
   int i = 0;
   (void)i;
   (void)ops;
   ops[i].func = reinterpret_cast<void*>(& ::elm_progressbar_part_value_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_progressbar_part_value_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_progressbar_part_value_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_progressbar_part_value_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_progressbar_pulse_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_progressbar_pulse);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_progressbar_span_size_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_progressbar_span_size_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_progressbar_span_size_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_progressbar_span_size_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_progressbar_pulse_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_progressbar_pulse_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_progressbar_pulse_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_progressbar_pulse_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_progressbar_value_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_progressbar_value_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_progressbar_value_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_progressbar_value_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_progressbar_inverted_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_progressbar_inverted_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_progressbar_inverted_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_progressbar_inverted_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_progressbar_horizontal_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_progressbar_horizontal_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_progressbar_horizontal_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_progressbar_horizontal_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_progressbar_unit_format_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_progressbar_unit_format_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_progressbar_unit_format_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_progressbar_unit_format_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_progressbar_unit_format_function_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_progressbar_unit_format_function_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   initialize_operation_description<T>(::efl::eo::detail::tag<::elm::layout>(), &ops[operation_description_class_size< ::elm::progressbar >::value]);
   return 0;
}
inline Eo_Class const* get_eo_class(tag<::elm::progressbar>)
{
   return (ELM_PROGRESSBAR_CLASS);
}

} } }

/// @endcond

